/*
 * SeqFunction.java
 *
 * Created on 19  2002 ., 16:01
 */

package com.fn.spcave.compiler;


import java.util.List;


/**
 *
 * @author  asso
 */
public class SEqFunction implements FunctionHandler {
    
    /** Creates a new instance of SeqFunction */
    public SEqFunction() {
    }
    
    public Expression processFunction(Interpreter interp, List args) throws ScException {
        if (args.size() != 2)
            throw new ScException("@seq functions takes two arguments");
        String v1 = ((Expression)args.get(0)).asString(interp);
        String v2 = ((Expression)args.get(1)).asString(interp);
        return new Expression(v1.equals(v2));
    }
    
}
