/*
 * CatFunction.java
 *
 * Created on 22  2002 ., 15:12
 */

package com.fn.spcave.compiler;


import java.util.List;


/**
 *
 * @author  asso
 */
public class CatFunction implements FunctionHandler {
    
    /** Creates a new instance of CatFunction */
    public CatFunction() {
    }
    
    public Expression processFunction(Interpreter interp, List args) throws ScException {
        int cnt = args.size();
        if (cnt < 2)
            throw new ScException("@cat functions takes at least two arguments");
        StringBuffer sb = new StringBuffer();
        for (int i = 0; i < cnt; i++)
            sb.append(((Expression)args.get(i)).asString(interp));
        return new Expression(sb.toString());
    }
    
}
