/*
 * OutputInstruction.java
 *
 * Created on 16  2002 ., 10:55
 */

package com.fn.spcave.compiler;

/**
 *
 * @author  asso
 */
public class OutputInstruction extends Instruction {
    
    public static final int OUTPUT_CODE = 3;
    private String text;
    
    /** Creates a new instance of OutputInstruction */
    public OutputInstruction(Lexical lexical, String source, int line, int position, String text) {
        super(lexical, source, line, position, OUTPUT_CODE);
        this.text = text;
    }
    
    public String getText() {
        return text;
    }
}
