/*
 * SubFunction.java
 *
 * Created on 31  2003 ., 15:21
 */

package com.fn.spcave.compiler;


import java.util.List;


/**
 *
 * @author  asso
 */
public class SubFunction implements FunctionHandler {
    
    /** Creates a new instance of SubFunction */
    public SubFunction() {
    }
    
    public Expression processFunction(Interpreter interp, List args) throws ScException {
        int cnt = args.size();
        if (cnt < 2)
            throw new ScException("@sub functions takes at least two arguments");
        double sum = ((Expression)args.get(0)).asDouble(interp);
        for (int i = 1; i < cnt; i++)
            sum -= ((Expression)args.get(i)).asDouble(interp);
        return new Expression(sum);
    }
    
}
