/*
 * UnsetKeyword.java
 *
 * Created on 19  2002 ., 13:52
 */

package com.fn.spcave.compiler;


import java.util.Iterator;
import java.util.List;


/**
 *
 * @author  asso
 */
public class UnsetKeyword extends KeywordInstruction {
    
    /** Creates a new instance of UnsetKeyword */
    public UnsetKeyword(Lexical lexical, String source, int line, int position, 
            List arguments) throws ScException 
    {
        super(lexical, source, line, position, arguments);
    }
    
    public int processKeyword(Interpreter interp) throws ScException {
        for (Iterator i = getArguments().iterator(); i.hasNext(); ) {
            Expression expr = (Expression)i.next();
            interp.removeVariable(expr.asString(interp));
        }
        return getPosition() + 1;
    }
    
}
