/*
 * Utils.java
 *
 * Created on 28  2002 ., 18:49
 */

package com.fn.spcave.compiler;


import org.w3c.dom.Element;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;

/**
 *
 * @author  asso
 */
public class XMLUtils {

    public static boolean isBlankText(String str) {
        String s = str.trim();
        if (s.length() == 0)
            return true;
        else
            return false;
    }            

    /*  31 */
    public static String getTrimmedData(Element element) throws ScException {
        StringBuffer sb = new StringBuffer();
        NodeList nodeList = element.getChildNodes();
        int len = nodeList.getLength();
        for (int i = 0; i < len; i++) {
            Node node = nodeList.item(i);
            switch (node.getNodeType()) {
                case Node.ATTRIBUTE_NODE:
                case Node.COMMENT_NODE:
                    break;
                case Node.CDATA_SECTION_NODE:
                case Node.TEXT_NODE:
                    sb.append(node.getNodeValue().trim());
                    break;
                default:
                    throw new ScException("Invalid data section");
            }
        }
        return sb.toString();
    }
    
    public static int getTagAttrib(Element element, String attrib, int dflt) {
        String sv = element.getAttribute(attrib);
        int v = dflt;
        if (! sv.equals(""))
            try {
                v = Integer.parseInt(sv);
            } catch (Exception e) { }
        return v;
    }
    
    public static String getTagAttrib(Element element, String attrib, String dflt) {
        if (element.hasAttribute(attrib))
            return element.getAttribute(attrib);
        else
            return dflt;
    }
    
    public static boolean getTagAttrib(Element element, String attrib, boolean dflt) {
        if (element.hasAttribute(attrib)) {
            String s = element.getAttribute(attrib);
            if (s.equalsIgnoreCase("on") || s.equalsIgnoreCase("true") || s.equalsIgnoreCase("1"))
                return true;
            else
                if (s.equalsIgnoreCase("off") || s.equalsIgnoreCase("false") || s.equalsIgnoreCase("0"))
                    return false;
                else
                    return dflt;
        } else
            return dflt;
    }
}
