/*
 * News.java
 *
 * Created on 22  2002 ., 10:48
 */

package com.fn.station;

import com.fn.spcave.compiler.*;

/**
 *
 * @author  asso
 */
public class News implements com.fn.spcave.compiler.Plugin {
    
    /** Creates a new instance of News */
    public News() {
    }
    
    public void register() throws ScException{
        KeywordsRegistry.addKeyword("news", "com.fn.station.NewsKeyword", true);
        FunctionsRegistry.addFunction("loadNewsFile", "com.fn.station.LoadNewsFileFunction");
        FunctionsRegistry.addFunction("getNewsMinYear", "com.fn.station.GetNewsMinYearFunction");
        FunctionsRegistry.addFunction("getNewsMaxYear", "com.fn.station.GetNewsMaxYearFunction");
    }
    
}
